package com.yunzhi.nanyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.nanyang.entity.TaMachinery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.MachineSummary;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 农机表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaMachineryMapper extends BaseMapper<TaMachinery> {

    @Update("UPDATE ta_machinery SET type_name = #{typeName} WHERE type_id = #{typeId}")
    int updateTypeName(@Param("typeId") String typeId, @Param("typeName") String typeName);

    @Update("UPDATE ta_machinery SET region_name = #{regionName} WHERE region_id = #{regionId}")
    int updateRegionName(@Param("regionId") String regionId, @Param("regionName") String regionName);

    IPage<MachineSummary> getSummaryList(IPage<MachineSummary> pg,
                                         @Param("location") String location,
                                         @Param("typeId") String typeId,
                                         @Param("orgId") String orgId);

    MachineSummary getSummaryDetail(@Param("machineryId") String machineryId, @Param("location") String location);

    IPage<MachineSummary> getOneOfTypes(IPage<MachineSummary> pg,
                                        @Param("location") String location,
                                        @Param("typeId") String typeId,
                                        @Param("q") String q);
}
