package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.common.StringUtils;
import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.entity.TaPerson;
import com.yunzhi.nanyang.mapper.SysUserMapper;
import com.yunzhi.nanyang.mapper.TaPersonMapper;
import com.yunzhi.nanyang.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaPersonServiceImpl extends BaseServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Autowired
    SysUserMapper sysUserMapper;

    @Override
    public TaPerson getByOpenId(String appid, String openid) {
        return baseMapper.getByOpenId(appid, openid);
    }

    @Override
    public void tryBindUser(TaPerson taPerson) {
        if (null == taPerson) return;

        try {
            if (!StringUtils.isEmpty(taPerson.getPhone()) && StringUtils.isEmpty(taPerson.getUserId())) {
                // 尝试去绑定农机手人员
                SysUser sysUser = sysUserMapper.selectByPhone(taPerson.getPhone());
                if (null != sysUser) {
                    taPerson.setUserId(sysUser.getUserId());
                    updateById(taPerson);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
